# Configuration file for the language: Visual Basic.NET
# NOTE: This file is automatically generated by Enterprise Architect, changes made manually may be lost.
LEXER=vb

# (Default)

# Brace Highlighting

# Caret Line

# Comments
COMMENT_LINECOMMENT_TOKEN='

# Indentation
INDENT_AUTOMATIC=true

# Intellisense

# Language
KEYWORDS=addressof alias and as attribute base begin binary boolean byref byte byval call case compare const currency date decimal declare defbool defbyte defint deflng defcur defsng defdbl defdec defdate defstr defobj defvar dim do double each else elseif empty end enum eqv erase error event exit explicit false for friend function get gosub goto if imp implements in input integer is len let lib like load lock long loop lset me mid midb mod new next not nothing null object on option optional or paramarray preserve print private property public raiseevent randomize redim rem resume return rset seek select set single static step stop string sub then time to true type typeof unload until variant wend while with withevents xor addhandler andalso as assembly auto catch cbool cbyte cchar cdate cdbl cdec char cint class clng cobj cshort csng cstr ctype default delegate finally gettype handles imports inherits interface mustinherit mustoverride mybase myclass namespace notinheritable notoverridable orelse overloads overridable overrides protected readonly removehandler shadows shared short structure synclock throw try unicode when writeonly partial module async await

# Literals

# Macros

# Preprocessor

# Whitespace
